Package org.eclipse.mat.report

# Class RendererRegistry

java.lang.Object
org.eclipse.mat.util.RegistryReader<IOutputter>
org.eclipse.mat.report.RendererRegistry

All Implemented Interfaces:
  `IExtensionChangeHandler`

public class RendererRegistry extends RegistryReader<IOutputter>
Holds all the renderers.

## Method Summary

Modifier and Type
Method
Description
`static RendererRegistry`
`instance()`
`IOutputter`
`match(String format, Class<? extends IResult> type)`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, delegates, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### instance

public static RendererRegistry instance()

### match

public IOutputter match(String format, Class<? extends IResult> type)